Subject: RE: mboned: Addresses lost in RFC2365 ? + IANA multicast addresses document

From: "Manfredi, Albert E" <[email-masked]>
Date: Wed, 8 Feb 2006 12:49:22 -0500

Dave Price wrote:

> As far as I can see, in section 6.6.1, RFC2365 only talks 
> explicitly about
> expanding IPv4 local scope
> 
> > into the reserved ranges
> >    239.254.0.0/16 and 239.253.0.0/16. However, these ranges 
> should not
> >    be utilized until the 239.255.0.0/16 space is no longer 
> sufficient.
> 
> it does not talk about IPv4 local scope expanding lower than that.
> 
> That's my point about there being a "dead zone"
> from 239.252.255.255 down to 239.196.0.0 in the RFC

Sorry, you're right. I think I was sort of interpreting that to mean,
"and so on, expaning downward," until you reach the next blocked out
block of addresses. Which is the Organization Local Scope. That seems to
be the intent of this downwards expansion they describe, but the words
don't say that. So I agree with you here. There is a dead zone,
presumably unassigned.

> The RFC in msection 6.2.1 about expansion of IPv4 
> Organization Local Scope
> does indeed note expansion downwards, but says
> 
> > The ranges 239.0.0.0/10, 239.64.0.0/10 and 239.128.0.0/10 are
> >    unassigned and available for expansion of this space.  
> These ranges
> >    should be left unassigned until the 239.192.0.0/14 space is no
> > longer
> >    sufficient. This is to allow for the possibility that future
> >    revisions of this document may define additional scopes 
> on a scale
> >    larger than organizations.

Yes, and again, the stated intent is to expand downward and not upward.
This sentence: "The ranges 239.0.0.0/10, 239.64.0.0/10 and
239.128.0.0/10 are unassigned and available for expansion of this
space," says to me that above 239.192.255.255 is *not* intended for
expansion of the Organization Local Scope. Although this isn't explicit
stated, it is certainly the implication.

> I suppose my position is that we seem to have enough confusion
> about multicast addresses as it is and having two,
> apparently authoritative, documents saying contradictory
> things does not help.

Concur. For what it's worth, if I see no updates to an RFC mentioned in
the RFC Index, I assume that RFC to be authoritative. So this IANA
document was news to me. Fortunately, I haven't violated it yet. Just
because I was trying to be conservative.

Bert

_______________________________________________________________
user interface: http://darkwing.uoregon.edu/~llynch/mboned.html
web archive:  http://darkwing.uoregon.edu/~llynch/mboned/

---

From: David Meyer <[email-masked]>
Date: Wed, 8 Feb 2006 10:08:14 -0800

> because I was trying to be conservative.

	Having written the admin scope document years ago, and
	given the various changes that have occured (both in
	markets and technologies), I agree that a "RFC 2365 bis"
	might be a good idea. 

	Dave